SSH Keys
List SSH Keys
GET /system/ssh/key
List of SSH Keys
Response 200: List of SSH Keys
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
public_key |
string |
Create SSH Key
POST /system/ssh/key
Add new SSH Key
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
public_key |
string |
Response 200: An SSH Key
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
public_key |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
public_key |
string |
Response 422: Unprocessable Entity
Delete SSH Key
DELETE /system/ssh/key/{ssh_key_id}
Delete an SSH Key
Response 200: Deleted SSH Key
Response 404: Item not Found
View SSH Key
GET /system/ssh/key/{ssh_key_id}
Get an SSH Key
Response 200: An SSH Key
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
public_key |
string |
Edit SSH Key
PATCH /system/ssh/key/{ssh_key_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
public_key |
string |
Response 200: The new SSH Key
| Field | Type | Description |
|---|---|---|
canceled |
boolean | |
created_at |
object | |
created_at.iso_8601 |
string | IS0 8601-formatted Date |
created_at.unix |
integer | Seconds since Unix epoch (Unix Timestamp) |
done |
boolean | |
failed |
boolean | |
finished |
boolean | |
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
status |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. | |
public_key |
string |
Response 422: Unprocessable Entity